<?php
/**
 * @file
 * Displays a Tweet Box to allow visitors to post statuses to Twitter.
 *
 * Available variables:
 * - $counter: Boolean specifying if a dynamic character counter should be visiable.
 * - $height: Height of the Tweet Box in pixals.
 * - $width: Width of the Tweet Box pixals.
 * - $label: The text prompt shown above the Tweet Box.
 * - $default_content: Default text to go in the Tweet Box.
 *
 * @ingroup themeable
 */
 ?>

<span id="tweetpack-block-tweet-box"></span>
<script type="text/javascript">
  twttr.anywhere("<?php echo variable_get('tweetpack_api_version',  ''); ?>", function (twitter) {

    twitter("#tweetpack-block-tweet-box").tweetBox({
      counter: <?php echo variable_get('tweetpack_counter', '') ?>,
      height: <?php echo variable_get('tweetpack_height',  65); ?>,
      width: <?php echo variable_get('tweetpack_width',  515); ?>,
      label: "<?php echo variable_get('tweetpack_label', ''); ?>",
      defaultContent: "<?php echo variable_get('tweetpack_default_content',  ''); ?>"
    });

  });
</script>