<?php
/**
 * @file
 * The admin form for configuring the tweetpack module.
 *
 */

/**
 * Implements hook_admin().
 */
function tweetpack_admin() {
  $form = array();

  $form['tweetpack_api_key'] = array(
    '#type' => 'textfield',
    '#title' => t('API key'),
    '#default_value' => variable_get('tweetpack_api_key', ''),
    '#description' => t('Get an API key by registering your application with <a href="http://dev.twitter.com/anywhere/apps/new" target="_blank">Twitter</a>.'),
    '#required' => TRUE,
  );
  $form['tweetpack_api_version'] = array(
    '#type' => 'textfield',
    '#title' => t('API version'),
    '#default_value' => variable_get('tweetpack_api_version', '1'),
    '#description' => t("The @anywhere API version. Currently only version 1 is available."),
    '#required' => TRUE,
  );
  $form['tweetpack_link_type'] = array(
    '#type' => 'radios',
    '#title' => t('Link type'),
    '#description' => t('What type of auto link do you want? Read about the different types on <a href="http://dev.twitter.com/anywhere/begin#features" target="_blank">Twitter</a>.'),
    '#options' => array(t('None'), t('Auto-linkification of @usernames'), t('Hovercards')),
    '#default_value' => variable_get('tweetpack_link_type', 2),
    '#required' => TRUE,
  );
  // $form['tweetpack_link_selector'] = array(
  //   '#type' => 'textfield',
  //   '#title' => t('Link DOM selector (Coming soon)'),
  //   '#default_value' => variable_get('tweetpack_link_selector', ''),
  //   '#description' => t('@anywhere supports <a href="http://api.jquery.com/category/selectors/" target="_blank">jQuery</a> DOM selectors to only link specific classes, elements, etc.'),
  //   '#attributes' => array('disabled' => 'disabled'),
  // );

  return system_settings_form($form);
}